Skip to main content
Cardiff Rugby Online Museum
Objects
All Objects
Featured Objects
Recently Added
By Category
By Keyword
Collections
Timeline
Recently Updated
By Season
Articles
Acknowledgements
About CF10
Contact Us
Search
South Africa
Photograph
1969/1970
Photograph - Cardiff RFC 1969
Cardiff 3 - 17 South Africa
Read more »
Photograph
1979/1980
Photograph - Cardiff RFC 1979 South Africa Tour
Read more »
Photograph
1981/1982
Photograph - Cardiff RFC 1982 South Africa Tour
Read more »
Photograph
1951/1952
Photograph - Cardiff v South Africa 1951
Bleddyn Williams Scoring For Cardiff
Read more »
Photograph
1969/1970
Photograph - Gareth Edwards and Dawie De Villiers
Read more »
Photograph
1969/1970
Photograph - Gareth Edwards Tackled by Albie Bates 1969
Read more »
Photograph
1906/1907
Photograph - South Africa 1906
Read more »
Photograph
1912/1913
Photograph - South Africa 1912
Read more »
Photograph
1931/1932
Photograph - South Africa 1931
Read more »
Photograph
1969/1970
Photograph - South Africa 1969
Read more »
Photograph
1951/1952
Photograph - Springbok Head being Presented to Cardiff RFC 1952
Read more »
Photograph
1906/1907
Photograph - Wales v South Africa 1906
Read more »
Photograph
1981/1982
Photographs - Cardiff's Tour of South Africa 1982
Read more »
Postcard
1906/1907
Postcard - Cardiff v South Africa 1907
Read more »
Postcard
1906/1907
Postcard - Cardiff v South Africa 1907
Read more »
Postcard
1906/1907
Postcard - Cardiff XV that defeated South Africa 1907
Read more »
Pages
« first
‹ previous
1
2
3
4
5
6
7
next ›
last »